#ifndef __RUBY_SOUND_AUDIERE_H__
#define __RUBY_SOUND_AUDIERE_H__

#include <iostream>
#include <memory>

#include <stdio.h>
#include <stdlib.h>

#include <audiere.h>

#include <ruby.h>
#include <rubyio.h>

using namespace std;
using namespace audiere;

#ifdef WIN32
#include <windows.h>
inline void sleepSecond() {
  Sleep(1000);
}

#else  // assume POSIX
#include <unistd.h>
inline void sleepSecond() {
  sleep(1);
}
#endif

#define RUBY_SOUND_AUDIERE_VERSION  "0.1.0"
#define RUBY_SOUND_AUDIERE_VERNUM   010

typedef struct RbTSoundAudiere {
  AudioDevicePtr device;
  OutputStreamPtr sound;
} RbTSoundAudiere;

#endif
