#!/usr/bin/ruby

require "sound/audiere"

a = Sound::Audiere::new( )
a.openDevice( nil, "buffer=100,rate=44100" ); 

ARGV.each do |file|
  puts "Playing #{file}"

  a.openSound( file ); 
  a.play( )
  
  puts "Volume : #{a.getVolume( )}"
  puts "Repeat : #{a.getRepeat( )}"
  puts "Pan : #{a.getPan( )}"
  puts "PitchShift : #{a.getPitchShift( )}"

  old = -1
  while( a.isPlaying() )
    if( a.isSeekable( ) ) 
	  elapse = (Float(a.getPosition( ))/Float(a.getLength( ))*100).round

      if( elapse != old ) 
	    print "."
		STDOUT.flush
		old=elapse
	  end
    end
  end
  puts ""
end
